feedback
FxProUpdates

MT4 Client Terminal Builds Below 940 to be Discontinued

We would like to inform you that, as of Friday, July 1, 2016, MetaTrader 4 Client Terminal builds below 940 will not be supported. As a result, unsupported terminal builds will not be able to connect to new server versions.

Download latest build

Should you have any questions, please do not hesitate to contact our Customer Support.

5/5(1)